Loading...
Searching...
No Matches
ConstantBounds.h File Reference

Methods for computing compile-time constant int64_t upper and lower bounds of an expression. More...

`#include "ConstantInterval.h"`
`#include "Expr.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

ConstantInterval | Halide::Internal::constant_integer_bounds (const Expr &e, const Scope< ConstantInterval > &scope=Scope< ConstantInterval >::empty_scope(), std::map< Expr, ConstantInterval, ExprCompare > *cache=nullptr)
| Deduce constant integer bounds on an expression.

## Detailed Description

Methods for computing compile-time constant int64_t upper and lower bounds of an expression.

Cheaper than symbolic bounds inference, and useful for things like instruction selection.

Definition in file ConstantBounds.h.